Author Topic: [upgrading] error while loading shared libraries libreadline.so.7  (Read 895 times)

ilnanny

  • Newbie
  • *
  • Posts: 8
  • Karma: +1/-0
  • Gender: Male
    • Lila HD icon theme
Hi, I installed nutyx rolling as described on the wiki.
After booting and updating the system, I installed xfce4 xfce4-extra and the drivers ati, following the installation guide.
The problem only arises after installing xfce4.
I tried installing 3 times, formatting the partition and downloading the iso again, both with the firefox browser and with wget.
and always checking the checksum of the image that is exact.
I have not installed Grub because I have already installed another gnu-linux system inside the computer
I report the error after installing the xfce4 packages:

"sorry for my bad english."

Code: [Select]
root@gentoo:/
# mount /dev/sdb2 /mnt
root@gentoo:/
# mount -o remount,rw /dev/sdb2 /mnt
root@gentoo:/
# mount --bind /dev /mnt/dev
root@gentoo:/
# mount --bind /proc /mnt/proc
root@gentoo:/
# mount --bind /sys /mnt/sys
root@gentoo:/
# chroot /mnt
/bin/bash: error while loading shared libraries: libreadline.so.7: cannot open shared object file: No such file or directory

Someone has found the same problem as me?
Thanks.
« Last Edit: Sat Mar 30 17:18:49 2019 by ilnanny »

Thierry

  • Administrator
  • Sr. Member
  • *****
  • Posts: 449
  • Karma: +7/-0
  • Gender: Male
    • NuTyX distribution
Hello ilnanny

Welcome to the NuTyX forum,

What version of NuTyX you are trying? It looks like you are trying to upgrade a 10.6 version which is not going to work.

If that the case, make sure you use the Rolling version or the 11.0 version of the ISO.

ilnanny

  • Newbie
  • *
  • Posts: 8
  • Karma: +1/-0
  • Gender: Male
    • Lila HD icon theme
Hello Thierry
I installed the rolling version

ilnanny

  • Newbie
  • *
  • Posts: 8
  • Karma: +1/-0
  • Gender: Male
    • Lila HD icon theme
One detail I left out is that the partition where I installed nutyx I created earlier with ext4 filesystems.

Thierry

  • Administrator
  • Sr. Member
  • *****
  • Posts: 449
  • Karma: +7/-0
  • Gender: Male
    • NuTyX distribution
What's not clear for me is, you show some "screenshots" of gentoo and chroot ? Can you describe exactly which procedure you choose ? And what the date of your  ISO you took ?

Thierry

  • Administrator
  • Sr. Member
  • *****
  • Posts: 449
  • Karma: +7/-0
  • Gender: Male
    • NuTyX distribution

ilnanny

  • Newbie
  • *
  • Posts: 8
  • Karma: +1/-0
  • Gender: Male
    • Lila HD icon theme
Sorry, I entered a chroot from another operating system to check if I could understand what the problem was.
The iso is : NuTyX_x86_64-20190225.iso
Now I'm downloading an iso image from here:
http://downloads.nutyx.org/NuTyX_x86_64-11.0.iso
we will have to wait a little, because it weighs more than 5 gigabytes.
We try to install that
« Last Edit: Sat Mar 30 16:49:38 2019 by ilnanny »

Thierry

  • Administrator
  • Sr. Member
  • *****
  • Posts: 449
  • Karma: +7/-0
  • Gender: Male
    • NuTyX distribution
That's what I understood. Just for your info: With this new version of NuTyX we got TWO complete differents approaches.

1. The 11.0 is a fixed version that has no remote repositories, means you need to mount the ISO after base installation. All the binaries are included in that ISO. It's explain in the news

2. The 20190325 version is the rolling version of the NuTyX 11. It has a remote repositories that gets continuously updates.

So both ISO does the same as far you install the BASE system, but then we will be in two totally different scenarios.
« Last Edit: Sat Mar 30 16:55:56 2019 by Thierry »

ilnanny

  • Newbie
  • *
  • Posts: 8
  • Karma: +1/-0
  • Gender: Male
    • Lila HD icon theme
Pardon I have not read the F.A.Q. before installing.
Then the iso image that I just downloaded, I keep it aside and download the latest image "scrolling". I would like to experiment with this new (for me) operating system (distribution).
The thing that I can't understand is that error. I understand how to solve the error instead of re-installing an operating system.
I try to enter the partition with Nutyx to check if I can use some program.
which one do you recommend for a test?
« Last Edit: Sat Mar 30 17:05:55 2019 by Thierry »

Thierry

  • Administrator
  • Sr. Member
  • *****
  • Posts: 449
  • Karma: +7/-0
  • Gender: Male
    • NuTyX distribution
Ok this error occur because the toolchain has been updated:

glibc 2.29, binutils 2.32 and gcc 8.3.0. When all those packages are rebuild, it's often the cases that nothing works any more if we try an upgrade process.  That's  what you were trying to do by upgrading a 10.X generation with a 11.X generation

ilnanny

  • Newbie
  • *
  • Posts: 8
  • Karma: +1/-0
  • Gender: Male
    • Lila HD icon theme
ok thanks a lot for the answers and the time you have dedicated for me.
Now I install the new rolling version. Thank you .
'I adjusted the post title for better understanding.'
« Last Edit: Sat Mar 30 17:21:23 2019 by ilnanny »

ilnanny

  • Newbie
  • *
  • Posts: 8
  • Karma: +1/-0
  • Gender: Male
    • Lila HD icon theme
Re: [upgrading] error while loading shared libraries libreadline.so.7
« Reply #11 on: Sat Mar 30 19:28:27 2019 »
 @Thierry Thanks for your suggestions .
I installed the new version that you indicated in the link and it's all perfect, now I just have to figure out how to create the packages so as not to install all the software missing from the source. Inkscape example.
Can I write solved in the title?

Thierry

  • Administrator
  • Sr. Member
  • *****
  • Posts: 449
  • Karma: +7/-0
  • Gender: Male
    • NuTyX distribution
Re: [upgrading] error while loading shared libraries libreadline.so.7
« Reply #12 on: Sun Mar 31 08:09:26 2019 »
Well done I like your screenshot. May I add it to the screenshots pages ?

ilnanny

  • Newbie
  • *
  • Posts: 8
  • Karma: +1/-0
  • Gender: Male
    • Lila HD icon theme
Re: [upgrading] error while loading shared libraries libreadline.so.7
« Reply #13 on: Wed May 08 22:52:22 2019 »
yes of course, .If you like the wallpaper I send you the file or resource .svg.